Bug 574026 - Review Request: aic94xx-firmware - Adaptec SAS 44300, 48300, 58300 Sequencer Firmware for AIC94xx driver
Summary: Review Request: aic94xx-firmware - Adaptec SAS 44300, 48300, 58300 Sequencer ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-16 12:37 UTC by Tom "spot" Callaway
Modified: 2010-04-09 04:07 UTC (History)
3 users (show)

Fixed In Version: aic94xx-firmware-30-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-09 01:33:54 UTC
lemenkov: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2010-03-16 12:37:30 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/new/aic94xx-firmware.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/aic94xx-firmware-30-1.fc14.src.rpm
Description:
Adaptec SAS 44300, 48300, 58300 Sequencer Firmware for Open-Source AIC94xx
Driver.

Comment 1 Peter Lemenkov 2010-03-17 04:31:33 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is NOT silent, but these messages are false positive.

Sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/noarch/aic94xx-firmware-30-1.fc12.noarch.rpm 
aic94xx-firmware.noarch: W: spelling-error Summary(en_US) Adaptec -> Adapter, Adapted, Adaption
aic94xx-firmware.noarch: W: spelling-error %description -l en_US Adaptec -> Adapter, Adapted, Adaption
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
Sulaco ~/rpmbuild/SPECS:

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

Sulaco ~/rpmbuild/SPECS: sha256sum ../SOURCES/aic94xx-seq-30-1.tar.gz*
0608a919b95e65e8fe3c0cbc15f7e559716bda39a6efca863417a65f75e15478  ../SOURCES/aic94xx-seq-30-1.tar.gz
0608a919b95e65e8fe3c0cbc15f7e559716bda39a6efca863417a65f75e15478  ../SOURCES/aic94xx-seq-30-1.tar.gz.1
Sulaco ~/rpmbuild/SPECS:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.

- At the beginning of %install, the package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

+ All filenames in rpm packages are valid UTF-8.

Please, add "rm -rf %{buildroot}" at the beginning of %install section, and I'll continue.

Comment 2 Tom "spot" Callaway 2010-03-17 12:59:12 UTC
Peter, it is no longer necessary to delete the buildroot at the beginning of %install, because RPM in Fedora 10 and newer does this for you. Please refer to:

https://fedoraproject.org/wiki/Packaging/Guidelines#Prepping_BuildRoot_For_.25install

Comment 3 Peter Lemenkov 2010-03-17 13:04:23 UTC
Thanks for pointing me out on this.

Ok, then this package is

APPROVED.

Comment 4 Tom "spot" Callaway 2010-03-17 13:08:11 UTC
New Package CVS Request
=======================
Package Name: aic94xx-firmware
Short Description: Adaptec SAS 44300, 48300, 58300 Sequencer Firmware for Open-Source AIC94xx Driver
Owners: spot
Branches: F-11 F-12 F-13 devel
InitialCC:

Comment 5 Kevin Fenzi 2010-03-17 18:25:12 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Peter Lemenkov 2010-04-04 16:24:59 UTC
Ping! It seems that already built packages still didn't get pushed to repositories.

Comment 7 Fedora Update System 2010-04-06 12:59:34 UTC
aic94xx-firmware-30-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/aic94xx-firmware-30-1.fc12

Comment 8 Fedora Update System 2010-04-06 12:59:39 UTC
aic94xx-firmware-30-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/aic94xx-firmware-30-1.fc11

Comment 9 Fedora Update System 2010-04-06 12:59:43 UTC
aic94xx-firmware-30-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/aic94xx-firmware-30-1.fc13

Comment 10 Fedora Update System 2010-04-09 01:33:50 UTC
aic94xx-firmware-30-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-04-09 01:44:32 UTC
aic94xx-firmware-30-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-04-09 04:07:27 UTC
aic94xx-firmware-30-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.